Download it now!
Bug 38101 - EDITING - image resizing; not disappearing frame
Summary: EDITING - image resizing; not disappearing frame
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Writer-Images
  Show dependency treegraph
 
Reported: 2011-06-09 01:15 UTC by Dmitry
Modified: 2019-02-01 07:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshots (7.34 KB, application/x-gzip)
2011-06-09 01:15 UTC, Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2011-06-09 01:15:38 UTC
Created attachment 47757 [details]
screenshots

When i resize inserted image sometimes frame (dotted line) does not disappear. Even when the image was removed.
This bug is not reproduced each time i resize image.

screenshot1.png - the image was moved and resized, OO continue showing old frame.
screenshot2.png - the image was removed, but the frame still exists.


Version info:
  LibreOffice 3.3.2 
  OOO330m19 (Build:202)
  tag libreoffice-3.3.2.2
Language: Russian
Comment 1 Dmitry 2011-06-09 01:27:20 UTC
When i select another image and push button with brush (formatting copying), this frame disappear. After that when i apply copyed formatting to my image frame appears again.

When i push button with brush on the simple text and try to apply selected formatting to my image this dotted-line frame disappear!

PS: sorry for my english!
Comment 2 A (Andy) 2013-05-05 11:07:30 UTC
Thank you very much for your bug report.

I tried it several times but unfortunately it was for me not reproducible with LO 4.0.2.2 (Win7 Home, 64bit).

Does this issue still persist for you with the lastest release of LO?  If we can not reproduce it now, then I would propose to close this issue and to reopen it if it appears again in a future release of LO.

changed the status
Comment 3 Dmitry 2013-05-05 14:12:12 UTC
Yes, it does still exists at 3.6.5.2 (ID: 5b93205).
By steps:
1. insert 2 images
2. select the first image
3. click on "copy formatting"
4. apply to the second image
5. move the second image
Linux 2.6.32-5-amd64 #1 SMP Sun Sep 23 10:07:46 UTC 2012 x86_64 GNU/Linux
Maybe this depends on videocard (notebook lenovov z565, ATI Mobility Radeon HD 5000 Series).
Comment 4 Jean-Baptiste Faure 2013-11-30 18:30:47 UTC
Reproducible for me under Ubuntu 13.10 x86-64 with version 4.2.0.0.beta1, 4.1.5.0.0+ and 4.0.6.

There is a difference between 4.2.x and the others: in 4.2.x it is the first image which remains selected and in both other versions it is the second.

Best regards. JBF
Comment 5 QA Administrators 2015-04-19 03:21:16 UTC Comment hidden (obsolete)
Comment 6 Jean-Baptiste Faure 2015-04-21 07:25:55 UTC
Still reproducible with LibreOffice 4.4.4.0.0+ built at home under Ubuntu 14.10 x86-64.

Still reproducible with LibreOffice 5.0.0.0.alpha1+ built at home under Ubuntu 14.10 x86-64.

Best regards. JBF
Comment 7 QA Administrators 2016-09-20 09:33:45 UTC Comment hidden (obsolete)
Comment 8 Jean-Baptiste Faure 2016-09-24 17:00:48 UTC
Still reproducible with LibreOffice 5.2.3.0.+ built at home under Ubuntu 16.04 x86-64.
That said the ghost frame disappears if I click on the paintbrush button again and move the paintbrush cursor over the page.

Best regards. JBF
Comment 9 Xisco Faulí 2017-09-29 08:50:13 UTC Comment hidden (obsolete)
Comment 10 Jean-Baptiste Faure 2017-10-28 13:59:31 UTC
Idem comment #8 with LO 5.4.4.0.0+ and current master, both built at home under Ubuntu 16.04 x86-64 and vclplugin GTK3.

Best regards. JBF
Comment 11 QA Administrators 2018-10-29 03:58:15 UTC Comment hidden (obsolete)
Comment 12 Jean-Baptiste Faure 2019-01-05 12:34:28 UTC
Idem comment #8 with LO 6.2.0.1.0+ built at home under Ubuntu 18.04 x86-64 and vclplugin GTK3.

Best regards. JBF
Comment 13 Commit Notification 2019-02-01 07:40:36 UTC
Martin van Zijl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a7082e565d7f8bccc822b2658592a4afbbf88d03%5E%21

tdf#38101 remove highlight after using format painter

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.